package org.ta.pddserver.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class ApiConfig implements WebMvcConfigurer {
    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**") // 对所有路径应用CORS配置
                .allowedOrigins("http://localhost:8021","http://localhost:8022", "http://ppd-jy-cc.linyihaiji-dt.com", "http://ppd-h5.linyihaiji-dt.com", "http://localhost:9100") // 允许的源
                .allowedMethods("GET", "POST", "PUT", "DELETE") // 允许的方法
                .allowedHeaders("Authorization") // 允许的头部
                .allowCredentials(true) // 是否发送cookies等凭证信息
                .exposedHeaders("Authorization", "st", "ms", "Set-Cookie", "Cookie", "Access-Control-Allow-Origin")
                .maxAge(3600); // 预检请求的缓存时间（秒）
    }



//    @Override
//    public void addResourceHandlers(ResourceHandlerRegistry registry) {
//        registry.addResourceHandler("/static/**").addResourceLocations("http://localhost:8021/");
//        registry.addResourceHandler("/templates/**").addResourceLocations("http://localhost:8021/");
//    }
}
